import { dU as e, gR as o, dX as i, j as d } from "./684d2f28.js";
import { ButtonComp as n } from "./b48e07b2.js";
import "react";
import "react-dom";
import "./926d8ea1.js";
import "./d6402597.js";
test("test withIsLoading", async () => {
  const s = d(n);
  let t = new s({
    value: {
      text: "{{query1.data}}"
    }
  });
  const a = e("aaa");
  t = o(t, {
    query1: i({ data: a })
  }), expect(t.children.text.getView()).toEqual("aaa"), expect(t.isLoading).toBe(!1), t = o(t, {
    query1: i({
      data: a,
      isFetching: e(!0)
    })
  }), expect(t.isLoading).toBe(!0), t = o(t, {
    query1: i({
      data: a,
      isFetching: e(!1),
      latestEndTime: e((/* @__PURE__ */ new Date()).getTime())
    })
  }), expect(t.isLoading).toBe(!1);
});
